Delete a comment (legacy)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
DELETE /comments/case/{caseId}/message/{messageId}/{commentId}

Deletes the caller's own comment on a message. Prefer DELETE /comments/case/:caseId/:commentId.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • messageId string Required

    Id of the message

  • commentId string Required

    Id of the comment to update

  • caseId string Required

    Id of the case

application/json

Body

Delete Comment (and replies)

string string

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
DELETE /comments/case/{caseId}/message/{messageId}/{commentId}
curl \
 --request DELETE 'http://api.example.com/comments/case/{caseId}/message/{messageId}/{commentId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "organization: string" \
 --data 'string'
Request examples
# Headers
organization: string

# Payload
string
Response examples (200)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}